%global gitver rel-2-4-19

Name:      iprutils
Version:   2.4.19
Release:   3
Summary:   Utilities for the ipr.
License:   CPL
URL:       https://github.com/bjking1/iprutils
Source0:   https://github.com/bjking1/iprutils/archive/%{gitver}/%{name}-%{version}.tar.gz
Source1:   iprdbg.8.gz


BuildRequires: libtool ncurses-devel libcap-devel kernel-headers systemd zlib-devel autoconf automake pkgconfig


%description
Provides a suite of utilities to manage and configure SCSI device.

%package help
Summary: Including man files for iprutils.
Requires: man

%description    help
This contains man files for the using of iprutils.


%prep
%autosetup -p1 -n %{name}-%{gitver}

%build
autoreconf -ivf
%configure \
    --sbindir=%{_sbindir} \
    --libdir=%{_libdir} \
    --with-systemd \
    --without-initscripts \
    --disable-static \
    --disable-sosreport
%make_build

%install
%make_install

#iprdbg man page
install -p -m 0644 %SOURCE1 %{buildroot}%{_mandir}/man8/


%post
%systemd_post iprinit.service
%systemd_post iprdump.service
%systemd_post iprupdate.service
%systemd_post iprutils.target

%preun
%systemd_preun iprinit.service
%systemd_preun iprdump.service
%systemd_preun iprupdate.service
%systemd_preun iprutils.target

%files
%doc README
%license LICENSE
%{_sbindir}/*
%{_unitdir}/*
%{_udevrulesdir}/*
%{_sysconfdir}/ha.d
%{_sysconfdir}/ha.d/resource.d
%{_sysconfdir}/ha.d/resource.d/iprha
%{_sysconfdir}/bash_completion.d/
%{_sysconfdir}/bash_completion.d/*

%files help
%{_mandir}/man8/*

%changelog
* Tue May 9 2023 Jiangtian Feng <fengjiangtian@huawei.com> - 2.4.19-3
- remove make check due to lack of test cases support

* Mon Nov 7 2022 Jiangtian Feng <fengjiangtian@huawei.com> - 2.4.19-2
- upgrade version number to 2.4.19-2

* Thu Jan 14 2021 yanglongkang <yanglongkang@huawei.com> - 2.4.19-1
- upgrade package to 2.4.19

* Wed Nov 4 2020 lixiaokeng<lixiaokeng@huawei.com> - 2.4.18.1-2
- add make check

* Tue Jul 21 2020 Wangjun <wangjun196@huawei.com> - 2.4.18.1-1
- upgrade package to 2.4.18.1

* Fri Sep 6 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.4.16.1-5
- Package init
